package cn.kk.spring_simple_operation.mapper;

import cn.kk.spring_simple_operation.entity.SyncProductAudit;
import cn.kk.spring_simple_operation.model.ExportPhotographerNameVO;
import cn.kk.spring_simple_operation.model.PlanSkuInfoVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 对应inv 产品审核表 Mapper 接口
 * </p>
 *
 * @author guokunkun
 * @since 2025-01-02
 */
@Mapper
public interface SyncProductAuditMapper extends BaseMapper<SyncProductAudit> {

	List<String> groupSkuSolarTerm_1();

	List<String> groupSkuSolarTerm_Q1Q2();

	List<ExportPhotographerNameVO> selectIsCustomProdduct();

	List<ExportPhotographerNameVO> selectIsCustomProdductPlan();

	List<String> planSkuForPublish();

	List<PlanSkuInfoVO> listPlanSkuInfo(@Param("skuList") List<String> skuList);
}
